SystemOrganization addCategory: #'Openshift-Bootstrapper'!

Object subclass: #OSBootStrapper
	instanceVariableNames: 'aLogger'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Openshift-Bootstrapper'!

!OSBootStrapper class methodsFor: 'as yet unclassified' stamp: 'GermanArduino 4/8/2012 12:08'!
initialize
	Smalltalk addToStartUpList: self.
	"Smalltalk addToShutDownList: self"! !

!OSBootStrapper class methodsFor: 'as yet unclassified' stamp: 'GermanArduino 4/8/2012 12:11'!
startUp
	"self halt."
	"OSBootStrapper new."	
	^self new.	


		! !

!OSBootStrapper methodsFor: 'as yet unclassified' stamp: 'GermanArduino 4/8/2012 16:56'!
initialize

	"Bootstrapp the web server on the OpenShift internal ip and port"
	"Log the stuff"
	| ip port dir startedIp startedHost startedPort |
	ip := (OSProcess thisOSProcess environment) at: #OPENSHIFT_INTERNAL_IP.
	"ip := '127.0.0.1'."
	port := (OSProcess thisOSProcess environment) at: #OPENSHIFT_INTERNAL_PORT.
	"port := 8080."
	dir := (PipeableOSProcess command: 'pwd') output.
	aLogger := G9Logger new.
	aLogger logWithTimeStamp: 'Parameters: ip address: ',ip,' port: ', port asString, ' folder: '. dir.
	aLogger logWithTimeStamp: 'Stopping running site ...'.
	SwazooIliad stop.
	aLogger logWithTimeStamp: 'Starting site on ip: ', ILSite defaultIp.
	SwazooIliad startOn: 8080.
	SwazooServer singleton sites do: [:each | each uriPattern do: [:oeach | startedIp := oeach ip. startedPort := oeach port. startedHost := oeach host. ]].
	aLogger logWithTimeStamp: 'Site started at ip: ',startedIp, ' port: ', startedPort asString, ' host: ', startedHost. 
	aLogger logWithTimeStamp: 'Currently exist ', SwazooServer singleton sites size asString, ' site started.'.
	aLogger closeLogFile.
	"SmalltalkImage current snapshot: false andQuit: true"! !

!OSBootStrapper methodsFor: 'as yet unclassified' stamp: 'GermanArduino 4/8/2012 12:40'!
register
	"Ask for start/stop to be sent to me on System startUp/shutDown"
	
	self class register: self! !
OSBootStrapper initialize!
